# Paicos - a Python package for analysis of (cosmological) simulations performed with Arepo

```{toctree}
---
maxdepth: 2
caption: Getting started
---
installation
examples
configuration
```

```{toctree}
---
maxdepth: 2
caption: Notebook examples
---

/notebooks/notebook1_paicos_basics.ipynb

/notebooks/notebook2_slices_and_projections.ipynb

/notebooks/notebook3_radial_profiles.ipynb

/notebooks/notebook4_making_2d_histograms.ipynb

/notebooks/notebook5a_sph_projection_on_the_gpu.ipynb
/notebooks/notebook5b_ray_tracing_on_the_gpu.ipynb

/notebooks/notebook6_interactive_visualization_on_the_gpu.ipynb

```

```{toctree}
---
maxdepth: 2
caption: Python scripts and tests
---
scripts
tests
```

```{toctree}
---
maxdepth: 2
caption: Documentation strings
---
autodoc
```
