# Python scripts

The example scripts can be found in the `examples` directory of the repository.
The data required to run these need to be downloaded first (see the examples tab).

## Basic features

```
# Simple example of loading a snapshot
python3 loading_data_example.py

# Slicing
python3 slicer_example.py

# Projections
python3 projector_example.py
python3 nested_projector_example.py
python3 tree_projector_example.py
python3 projector_nongas_example.py

# Histograms
python3 histogram1D_example.py
python3 histogram2d_example.py

# Loading images
python3 image_reader_example.py

# Creating radial profiles
python3 create_radial_profiles_hdf5file_example.py
python3 read_radial_profile_example.py

# Make a time series
python3 paicos_time_series_example.py

# Select an index of a snapshot
python3 select_subset_of_snap.py

# Saving a reduced snapshot file
python3 save_reduced_file_example.py
```

## Customizing your Paicos setup

```
# Setting up user-defined functions for obtaining derived variables
python3 user_defined_functions_example.py

# Using a configuration script
python3 using_a_paicos_config.py
python3 example_paicos_config.py

# Using aliases
python3 using_aliases_example.py
```